function pTe(a){this.a=a}
function wTe(a,b){CSe(a.a,b)}
function xTe(a,b){BSe(a.a,b)}
function $pk(){oYe(this.b,new pTe(this))}
function QZe(a){var b;if(!a.d){b=new yTe;a.d=b}return a.d}
function PZe(a){var b;if(!a.c){b=new nTe(WDd(Iae(a.a)),QZe(a),OZe(a),(elj(oce(a.a)),uKg(Cbe(a.a))),r$i(mce(a.a)));gEd((Jae(a.a),b),dFd(Jae(a.a)));a.c=b}return a.c}
function yTe(){this.a=new DSe(P$j);ASe(this.a,(PWd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function nTe(a,b,d,e){var g,i,j;MEd.call(this,a,b,d);this.c=e;g=new p5i;g.b=new Sij;this.b=new pYe(g);j=new FZi(Ckb);i=new qZi(Ckb,(rzh(),mzh).Mc(Ckb),qzh.Mc(Ckb));this.a=new bTe(j,i);_Se(this.a,this)}
S1c(2100,998,yvj,nTe);_.Bl=function(){var a;a=new p5i;a.b=new Sij;return a};_.Cl=$pk;_.Ti=function(){wTe(this.A,this.a)};_.Yi=$pk;_.aj=function(){Stf(this.c,this)};S1c(2101,1283,{},pTe);_.eh=function(a){xTe(this.a.A,a)};S1c(2104,1400,xvj,yTe);_.Bh=function(){return zSe(this.a)};S1c(2214,1,ewj);_.td=function(){EFd(this.b,PZe(this.a.a))};var $ib=xMd(2100),Xib=xMd(2101),_ib=xMd(2104);Swj(yo)(9);